1. Bookings
Pacific Bedbank API Rates Doc
  • INTRODUCTION
  • Getting Started
  • Payments
  • Discover
  • Endpoints Overview
  • Webhooks
  • Authentication
    • Login
      POST
    • Me
      GET
  • Search
    • List Countries
      GET
    • List Currencies
      GET
    • List Hotels
      GET
    • Search Hotel Rates
      POST
    • Search Hotel Min Rates
      POST
  • Bookings
    • Create Prebook
      POST
    • Prebook Payment Page
      GET
    • Prebook Payment Return
      GET
    • Get Prebook
      GET
    • List Bookings
      GET
    • Confirm Booking
      POST
    • Cancel Booking
      PUT
    • Amend Guest Name
      PUT
    • Get Booking
      GET
  • Schemas
    • LoginResponse
    • LoginRequest
    • CountriesResponse
    • Country
    • CurrenciesResponse
    • Currency
    • HotelListResponse
    • HotelSummary
    • HotelEssential
    • RateEssential
    • RoomTypeEssential
    • SearchResponseEssential
    • SupplierWarning
    • HotelRatesRequest
    • OccupancyInput
    • WholesalerCurrency
    • HotelMinRate
    • HotelMinRatesResponse
    • HotelMinRatesRequest
    • CreditLineInfo
    • PaymentSdkInfo
    • PrebookResponse
    • PrebookRoomRate
    • TravellerInfo
    • PrebookRequest
    • TravellerInput
    • BookingListItem
    • BookingListResponse
    • ConfirmBookingResponse
    • ConfirmBookingRequest
    • GuestInput
    • HolderInput
    • CancelBookingResponse
    • AmendGuestResponse
    • AmendGuestRequest
    • BookingDetailResponse
  1. Bookings

Cancel Booking

PUT
/api/v1/bookings/{reference}/cancel
Cancel a confirmed booking using its reference.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Query Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://rates-api.globalbedbank.com/api/v1/bookings//cancel?timeout=undefined' \
--header 'Authorization: <api-key>'
Response Response Example
{
    "booking_id": "string",
    "booking_reference": "string",
    "status": "string",
    "cancellation_fee": 0,
    "refund_amount": 0,
    "currency": "string"
}
Modified at 2026-06-03 00:11:28
Previous
Confirm Booking
Next
Amend Guest Name
Built with